-- message for players
rules = function()
    Trigger.AfterDelay(DateTime.Seconds(1), function()
        Media.DisplayMessage ("Loading background noise, hang on...", "PMG", HSLColor.Red)
        Trigger.AfterDelay(DateTime.Seconds(3), function()
            Media.PlaySound("war.aud")
            Trigger.AfterDelay(DateTime.Seconds(3), function()
                Media.DisplayMessage ("Welcome to the WW3 mod v2.0.6", "Waggy", HSLColor.Red)
        		Trigger.AfterDelay(DateTime.Seconds(8), function()
                    Media.DisplayMessage ("Wakka Wakka!!!", "Pacman", HSLColor.Brown)
                    Trigger.AfterDelay(DateTime.Seconds(12), function()
                        Media.DisplayMessage ("BuildTimeSpeedReduction: 100, 81, 72, 64, 57, 49, 42, 36, 31, 27, 24, 22, 20", "Pacman", HSLColor.Blue)
                        Trigger.AfterDelay(DateTime.Seconds(16), function()
                            Media.DisplayMessage ("Special thanks to the map creator & ERCC creators. GLHF!", "Waggy", HSLColor.Green)
                            Trigger.AfterDelay(DateTime.Seconds(200), function()
                                Media.PlaySound("war.aud")
                                Trigger.AfterDelay(DateTime.Seconds(200), function()
                                    Media.PlaySound("war.aud")
                                end)
                            end)
        				end)
                    end)
                end)
            end)
        end)
    end)
end

-- load world
WorldLoaded = function ()
    player = Player.GetPlayer("Multi0")
    rules()
end

Tick = function ()

end